Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.filter
Class HasPropertyRule

    java.lang.Object
      net.fortuna.ical4j.filter.ComponentRule
          net.fortuna.ical4j.filter.HasPropertyRule

All Implemented Interfaces:
  Rule

    public class HasPropertyRule

extends ComponentRule

A rule that matches any component containing the specified property. Note that this rule ignores any parameters matching only on the value of the property.

Author:
  Ben Fortuna

Constructor Summary
`HasPropertyRule(Property property)` Constructs a new instance with the specified property.
`HasPropertyRule(Property property, boolean matchEquals)` Constructs a new instance with the specified property.

Method Summary
`boolean` | `match(Component component)`

Methods inherited from class net.fortuna.ical4j.filter.ComponentRule
`match`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HasPropertyRule

    public HasPropertyRule(Property property)

  Constructs a new instance with the specified property. Ignores any parameters matching only on the value of the property.

  Parameters:
    `property` -

### HasPropertyRule

    public HasPropertyRule(Property property,
                           boolean matchEquals)

  Constructs a new instance with the specified property.

  Parameters:
    `property` - the property to match
    `matchEquals` - if true, matches must contain an identical property (as indicated by `Property.equals()`

Method Detail

### match

    public final boolean match(Component component)

  Specified by:
    `match` in class `ComponentRule`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.